package com.goafanti.user.service;

import java.util.List;
import java.util.Map;

import com.goafanti.common.model.OrganizationIdentity;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.portal.bo.OrgSubscriberListBo;
import com.goafanti.user.bo.AuditorOrgIdentityDetailBo;
import com.goafanti.user.bo.OrgBasicInfoBo;
import com.goafanti.user.bo.OrgIdentityBo;
import com.goafanti.user.bo.OrgUnitNames;

public interface OrganizationIdentityService {

	OrganizationIdentity insert(OrganizationIdentity organizationIdentity);

	OrganizationIdentity selectOrgIdentityByUserId(String userId);

	int updateByPrimaryKeySelective(OrganizationIdentity organizationIdentity);

	OrgIdentityBo selectOrgIdentityBoByUserId(String uid);

	List<OrgUnitNames> selectAllOrgIndentity();

	int updateByPrimaryKey(OrganizationIdentity org);

	Map<String, String> selectContactsByUserId(String uid);

	OrgBasicInfoBo selectBasicInfo(String uid, int year);

	AuditorOrgIdentityDetailBo selectAuditorOrgIdentityDetailByUserId(String uid);

	int updateOrgDetailByAuditAdmin(OrganizationIdentity oi, String aid, String mid, Integer level);

	void save(OrgIdentityBo orgIdentityBo);
}
